Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface Raster

All Known Subinterfaces:
  ZoomRaster

All Known Implementing Classes:
  RasterImpl, ZoomRasterImpl

public interface Raster
extends ArchivedGeometryWidget, ArchivedGeometryWidgetS

A two dimension color display class.. 2 dimensional, colour pixel images. Raster is based on a Tk frame widget with our own code for fast display of images. You can draw coloured dots on a Raster, or generic Drawers. Raster widgets are double buffered - the pixels you draw are not actually put on the screen until drawSelf is called. In addition, Rasters handle mouse clicks.

Method Summary
`void` | `draw$X$Y(Drawer drawer, int x, int y)` Draw an object at a given position.
`void` | `drawPointX$Y$Color(int x, int y, byte c)` Draw a point at the given coordinates with the given color.
`void` | `drawSelf()` Draw the raster to the display.
`void` | `ellipseX0$Y0$X1$Y1$Width$Color(int x0, int y0, int x1, int y1, int penWidth, byte c)` Draw an ellipse of given geometry, pen width, and color.
`void` | `erase()` Erase the raster.
`void` | `fillRectangleX0$Y0$X1$Y1$Color(int x0, int y0, int x1, int y1, byte color)` Fill a rectangle of given geometry and color.
`void` | `lineX0$Y0$X1$Y1$Width$Color(int x0, int y0, int x1, int y1, int penWidth, byte c)` Draw a line of given geometry, pen width, and color.
`void` | `rectangleX0$Y0$X1$Y1$Width$Color(int x0, int y0, int x1, int y1, int penWidth, byte c)` Draw a rectangle of given geometry, pen width, and color.
`void` | `setButton$Client$Message(int n, java.lang.Object c, Selector sel)` Configure at mouse button to send a message to a given client object.
`java.lang.Object` | `setColormap(Colormap c)` Set the palette for this raster.

Methods inherited from interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods inherited from interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setColormap

    public java.lang.Object setColormap(Colormap c)

  Set the palette for this raster.

### drawPointX$Y$Color

    public void drawPointX$Y$Color(int x,
                                   int y,
                                   byte c)

  Draw a point at the given coordinates with the given color.

### drawSelf

    public void drawSelf()

  Draw the raster to the display.

### setButton$Client$Message

    public void setButton$Client$Message(int n,
                                         java.lang.Object c,
                                         Selector sel)

  Configure at mouse button to send a message to a given client object.

### fillRectangleX0$Y0$X1$Y1$Color

    public void fillRectangleX0$Y0$X1$Y1$Color(int x0,
                                               int y0,
                                               int x1,
                                               int y1,
                                               byte color)

  Fill a rectangle of given geometry and color.

### ellipseX0$Y0$X1$Y1$Width$Color

    public void ellipseX0$Y0$X1$Y1$Width$Color(int x0,
                                               int y0,
                                               int x1,
                                               int y1,
                                               int penWidth,
                                               byte c)

  Draw an ellipse of given geometry, pen width, and color.

### lineX0$Y0$X1$Y1$Width$Color

    public void lineX0$Y0$X1$Y1$Width$Color(int x0,
                                            int y0,
                                            int x1,
                                            int y1,
                                            int penWidth,
                                            byte c)

  Draw a line of given geometry, pen width, and color.

### rectangleX0$Y0$X1$Y1$Width$Color

    public void rectangleX0$Y0$X1$Y1$Width$Color(int x0,
                                                 int y0,
                                                 int x1,
                                                 int y1,
                                                 int penWidth,
                                                 byte c)

  Draw a rectangle of given geometry, pen width, and color.

### draw$X$Y

    public void draw$X$Y(Drawer drawer,
                         int x,
                         int y)

  Draw an object at a given position.

### erase

    public void erase()

  Erase the raster.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD